org.apache.hc.core5.http.io.entity

## Class HttpEntities

- java.lang.Object
- - org.apache.hc.core5.http.io.entity.HttpEntities

-     public final class HttpEntities
      extends Object

  {HttpEntity} factory methods.
  Since:
    5.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpEntity` | `create(byte[] content, ContentType contentType)`
    `static HttpEntity` | `create(byte[] content, ContentType contentType, Header... trailers)`
    `static HttpEntity` | `create(File content, ContentType contentType)`
    `static HttpEntity` | `create(File content, ContentType contentType, Header... trailers)`
    `static HttpEntity` | `create(IOCallback<OutputStream> callback, ContentType contentType)`
    `static HttpEntity` | `create(IOCallback<OutputStream> callback, ContentType contentType, Header... trailers)`
    `static HttpEntity` | `create(Path content, ContentType contentType)`
    `static HttpEntity` | `create(Path content, ContentType contentType, Header... trailers)`
    `static HttpEntity` | `create(Serializable serializable, ContentType contentType)`
    `static HttpEntity` | `create(Serializable serializable, ContentType contentType, Header... trailers)`
    `static HttpEntity` | `create(String content)`
    `static HttpEntity` | `create(String content, Charset charset)`
    `static HttpEntity` | `create(String content, Charset charset, Header... trailers)`
    `static HttpEntity` | `create(String content, ContentType contentType)`
    `static HttpEntity` | `create(String content, ContentType contentType, Header... trailers)`
    `static HttpEntity` | `create(String content, Header... trailers)`
    `static HttpEntity` | `createGzipped(byte[] content, ContentType contentType)`
    `static HttpEntity` | `createGzipped(File content, ContentType contentType)`
    `static HttpEntity` | `createGzipped(IOCallback<OutputStream> callback, ContentType contentType)`
    `static HttpEntity` | `createGzipped(Path content, ContentType contentType)`
    `static HttpEntity` | `createGzipped(Serializable serializable, ContentType contentType)`
    `static HttpEntity` | `createGzipped(String content)`
    `static HttpEntity` | `createGzipped(String content, Charset charset)`
    `static HttpEntity` | `createGzipped(String content, ContentType contentType)`
    `static HttpEntity` | `createUrlEncoded(Iterable<? extends NameValuePair> parameters, Charset charset)`
    `static HttpEntity` | `gzip(HttpEntity entity)`
    `static HttpEntity` | `withTrailers(HttpEntity entity, Header... trailers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static HttpEntity create(String content,
                          ContentType contentType)

    - #### create

          public static HttpEntity create(String content,
                          Charset charset)

    - #### create

          public static HttpEntity create(String content)

    - #### create

          public static HttpEntity create(byte[] content,
                          ContentType contentType)

    - #### create

          public static HttpEntity create(File content,
                          ContentType contentType)

    - #### create

          public static HttpEntity create(Serializable serializable,
                          ContentType contentType)

    - #### createUrlEncoded

          public static HttpEntity createUrlEncoded(Iterable<? extends NameValuePair> parameters,
                                    Charset charset)

    - #### create

          public static HttpEntity create(IOCallback<OutputStream> callback,
                          ContentType contentType)

    - #### gzip

          public static HttpEntity gzip(HttpEntity entity)

    - #### createGzipped

          public static HttpEntity createGzipped(String content,
                                 ContentType contentType)

    - #### createGzipped

          public static HttpEntity createGzipped(String content,
                                 Charset charset)

    - #### createGzipped

          public static HttpEntity createGzipped(String content)

    - #### createGzipped

          public static HttpEntity createGzipped(byte[] content,
                                 ContentType contentType)

    - #### createGzipped

          public static HttpEntity createGzipped(File content,
                                 ContentType contentType)

    - #### createGzipped

          public static HttpEntity createGzipped(Serializable serializable,
                                 ContentType contentType)

    - #### createGzipped

          public static HttpEntity createGzipped(IOCallback<OutputStream> callback,
                                 ContentType contentType)

    - #### createGzipped

          public static HttpEntity createGzipped(Path content,
                                 ContentType contentType)

    - #### withTrailers

          public static HttpEntity withTrailers(HttpEntity entity,
                                Header... trailers)

    - #### create

          public static HttpEntity create(String content,
                          ContentType contentType,
                          Header... trailers)

    - #### create

          public static HttpEntity create(String content,
                          Charset charset,
                          Header... trailers)

    - #### create

          public static HttpEntity create(String content,
                          Header... trailers)

    - #### create

          public static HttpEntity create(byte[] content,
                          ContentType contentType,
                          Header... trailers)

    - #### create

          public static HttpEntity create(File content,
                          ContentType contentType,
                          Header... trailers)

    - #### create

          public static HttpEntity create(Serializable serializable,
                          ContentType contentType,
                          Header... trailers)

    - #### create

          public static HttpEntity create(IOCallback<OutputStream> callback,
                          ContentType contentType,
                          Header... trailers)

    - #### create

          public static HttpEntity create(Path content,
                          ContentType contentType)

    - #### create

          public static HttpEntity create(Path content,
                          ContentType contentType,
                          Header... trailers)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.